Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2793193002: Update Espresso to be compatible with guava-20 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 2 weeks ago by aluo
Modified:
2 months, 1 week ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Update Espresso to be compatible with guava-20 https://codereview.chromium.org/2710343003 updated third_party/espresso to be compatible with guava-20 BUG=704371 Review-Url: https://codereview.chromium.org/2793193002 Cr-Commit-Position: refs/heads/master@{#463744} Committed: https://chromium.googlesource.com/chromium/src/+/6c66a4bbe7ad2b59f34b53f718f1d031cd835d75

Patch Set 1 #

Patch Set 2 : Fix Espresso dependency to guava-18.0 #

Patch Set 3 : Use guava_18_java target in third_party/guava for Espresso compatibility. #

Patch Set 4 : Update espresso to 2.2.1 #

Patch Set 5 : Addressed comments to list local changes and remove old sha1 files #

Total comments: 1

Patch Set 6 : Addressed comments to clarify README.chromium, make gitignore for downloaded espresso jars version … #

Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -12 lines) Patch
M third_party/.gitignore View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/espresso/BUILD.gn View 1 2 3 4 chunks +5 lines, -5 lines 0 comments Download
M third_party/espresso/README.chromium View 1 2 3 4 5 1 chunk +6 lines, -1 line 0 comments Download
D third_party/espresso/lib/espresso-contrib-2.2-release-no-dep.jar.sha1 View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
A third_party/espresso/lib/espresso-contrib-2.2.1-release-no-dep.jar.sha1 View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
D third_party/espresso/lib/espresso-core-2.2-release-no-dep.jar.sha1 View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
A third_party/espresso/lib/espresso-core-2.2.1-release-no-dep.jar.sha1 View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
D third_party/espresso/lib/espresso-idling-resource-2.2-release-no-dep.jar.sha1 View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
A third_party/espresso/lib/espresso-idling-resource-2.2.1-release-no-dep.jar.sha1 View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
D third_party/espresso/lib/espresso-intents-2.2-release-no-dep.jar.sha1 View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
A third_party/espresso/lib/espresso-intents-2.2.1-release-no-dep.jar.sha1 View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
D third_party/espresso/lib/espresso-web-2.2-release-no-dep.jar.sha1 View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
A third_party/espresso/lib/espresso-web-2.2.1-release-no-dep.jar.sha1 View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 30 (12 generated)
aluo
Ping
2 months, 2 weeks ago (2017-04-05 17:02:19 UTC) #3
mikecase
uggggggggggggggggggggghhhh, you are right. I would vote for having a //third_party/guava:guava_18_java target with a comment ...
2 months, 2 weeks ago (2017-04-05 17:38:48 UTC) #4
jbudorick
On 2017/04/05 17:38:48, mikecase wrote: > uggggggggggggggggggggghhhh, you are right. > > I would vote ...
2 months, 2 weeks ago (2017-04-05 17:42:32 UTC) #5
mikecase
I got this locally.... C 7.004s Main java.lang.NoSuchMethodError: No static method transform(Lcom/google/common/util/concurrent/ListenableFuture;Lcom/google/common/util/concurrent/AsyncFunction;)Lcom/google/common/util/concurrent/ListenableFuture; in class Lcom/google/common/util/concurrent/Futures; ...
2 months, 2 weeks ago (2017-04-05 17:46:52 UTC) #6
mikecase
On 2017/04/05 at 17:46:52, mikecase wrote: > I got this locally.... > > C 7.004s ...
2 months, 2 weeks ago (2017-04-05 17:48:42 UTC) #7
the real yoland
On 2017/04/05 at 17:48:42, mikecase wrote: > On 2017/04/05 at 17:46:52, mikecase wrote: > > ...
2 months, 2 weeks ago (2017-04-06 18:28:49 UTC) #8
aluo
On 2017/04/06 18:28:49, the real yoland wrote: > On 2017/04/05 at 17:48:42, mikecase wrote: > ...
2 months, 2 weeks ago (2017-04-06 21:29:31 UTC) #9
aluo
On 2017/04/05 17:38:48, mikecase wrote: > uggggggggggggggggggggghhhh, you are right. > > I would vote ...
2 months, 2 weeks ago (2017-04-07 01:01:42 UTC) #10
aluo
On 2017/04/06 18:28:49, the real yoland wrote: > On 2017/04/05 at 17:48:42, mikecase wrote: > ...
2 months, 1 week ago (2017-04-11 00:52:16 UTC) #13
mikecase
On 2017/04/11 at 00:52:16, aluo wrote: > On 2017/04/06 18:28:49, the real yoland wrote: > ...
2 months, 1 week ago (2017-04-11 01:05:40 UTC) #14
the real yoland
this should also remove previous 2.2 jar's sha1 files.
2 months, 1 week ago (2017-04-11 01:23:17 UTC) #15
aluo
On 2017/04/11 01:05:40, mikecase wrote: > On 2017/04/11 at 00:52:16, aluo wrote: > > On ...
2 months, 1 week ago (2017-04-11 16:42:24 UTC) #16
aluo
On 2017/04/11 01:23:17, the real yoland wrote: > this should also remove previous 2.2 jar's ...
2 months, 1 week ago (2017-04-11 16:42:37 UTC) #17
mikecase
Probably also want to modify third_party/.gitignore to specifically list out the new jars you are ...
2 months, 1 week ago (2017-04-11 16:54:32 UTC) #20
aluo
On 2017/04/11 16:54:32, mikecase wrote: > Probably also want to modify third_party/.gitignore to specifically list ...
2 months, 1 week ago (2017-04-11 17:02:44 UTC) #21
the real yoland
lgtm
2 months, 1 week ago (2017-04-11 19:16:51 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2793193002/100001
2 months, 1 week ago (2017-04-11 19:35:10 UTC) #27
commit-bot: I haz the power
2 months, 1 week ago (2017-04-11 20:12:23 UTC) #30
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/6c66a4bbe7ad2b59f34b53f718f1...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318